Package com.ocient.jdbc

# Class FetchSummary

java.lang.Object
com.ocient.jdbc.FetchSummary

public class FetchSummary extends Object
Represents a summary of a fetch operation, including information about the sequence number, the number of rows fetched, and the detection of a DEM (Data End Marker).

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`NO_SEQUENCE_NUMBER`

## Constructor Summary

Constructors
Constructor
Description
`FetchSummary()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getNumRows()`
`long`
`getSequenceNumber()`
`boolean`
`isDemFound()`
`void`
`setDemFound(boolean demFound)`
Sets whether a Data End Marker (DEM) was found during the fetch operation.
`void`
`setNumRows(int numRows)`
Sets the number of rows fetched.
`void`
`setSequenceNumber(long sequenceNumber)`
Sets the sequence number associated with the rows fetched.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NO_SEQUENCE_NUMBER

public static final long NO_SEQUENCE_NUMBER

See Also:
  - Constant Field Values

## Constructor Details

### FetchSummary

public FetchSummary()

## Method Details

### getSequenceNumber

public long getSequenceNumber()

Returns:
  The sequence number, or `NO_SEQUENCE_NUMBER` if not defined.

### setSequenceNumber

public void setSequenceNumber(long sequenceNumber)
Sets the sequence number associated with the rows fetched.

### getNumRows

public int getNumRows()

Returns:
  The number of rows fetched as part of this operation.

### setNumRows

public void setNumRows(int numRows)
Sets the number of rows fetched.

### isDemFound

public boolean isDemFound()

Returns:
  True if a DEM was found, false otherwise.

### setDemFound

public void setDemFound(boolean demFound)
Sets whether a Data End Marker (DEM) was found during the fetch operation.

### toString

public String toString()

Overrides:
  `toString` in class `Object`